package com.ghy.common.adapay.model;

/**
 * @author ydq
 * @date : 2022-08-15 16:37
 */
public enum AnalyseItemEnum {
    CUSTOMER_NUM("common", "客户数", ""),
    CUSTOMER_NUM_ADDED_CUR_MONTH("common", "本月绑定", ""),
    TEAM_MEMBER_NUM("common", "团队", ""),
    TEAM_MEMBER_ADDED_CUR_MONTH("common", "本月绑定", ""),
    ORDER_NUM_CUR_MONTH("common", "本月订单数", "单"),
    ORDER_TRADE_VOLUME_CUR_MONTH("common", "本月交易额", "yuan"),
    ORDER_NUM_LAST_MONTH("common", "上月订单数", "单"),
    ORDER_TRADE_VOLUME_LAST_MONTH("common", "上月交易额", "yuan"),
    ORDER_NUM_CUR_DAY("dayAnalyse", "当天订单数", "单"),
    ORDER_TRADE_VOLUME_CUR_DAY("dayAnalyse", "当天交易额", "yuan"),
    ORDER_NUM_LAST_7_DAYS("dayAnalyse", "7天订单数", "单"),
    ORDER_TRADE_VOLUME_LAST_7_DAYS("dayAnalyse", "7天交易额", "yuan");

    private String type;
    private String title;
    private String unit;

    AnalyseItemEnum(String type, String title, String unit) {
        this.type = type;
        this.title = title;
        this.unit = unit;
    }

    public String getTitle() {
        return title;
    }

    public String getUnit() {
        return unit;
    }

    public String getType() {
        return type;
    }
}
